petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetUseMatrixFree

indicates if the SNES uses matrix free finite difference matrix vector products to apply the Jacobian.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetUseMatrixFree(SNES snes,PetscBool *mf_operator,PetscBool *mf)

Collective on SNES

### Input Parameter

snes -SNES context

### Output Parameters

| mf | - use matrix-free for both the Amat and Pmat used by SNESSetJacobian(), both the Amat and Pmat set in SNESSetJacobian() will be ignored
| mf_operator | - use matrix-free only for the Amat used by SNESSetJacobian(), this means the user provided Pmat will continue to be used

### Options Database

| -snes_mf | - use matrix free for both the mat and pmat operator
| -snes_mf_operator | - use matrix free only for the mat operator

### Keywords

SNES, nonlinear, get, iteration, number,

### See Also

SNESSetUseMatrixFree(), MatCreateSNESMF()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages